Trustfull IP

Trustfull IP

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Trustfull's API endpoints are quite flexible and you can request a range of services from a single endpoint

One of the possible use cases is IP Address Data

What is IP Address Data?

IP Address Data is a product that combines advanced ip validation, data enrichment, and a specific AI model all based on a single touch point, the ip address.

Request

You can also send model_id to choose the model that computes the score. Use one of your custom models, or a Trustfull standard model such as ip_score. Without it, the API uses the active model.

following an example of an IP Address Data

curl --request POST \
     --url https://api.fido.id/1.0/ip \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --header 'x-api-key: [your_app_key]' \
     --data '
{
     "customer_id": "c426ad68-8987-11ec-a8a3-0242ac120002",
     "claims": [
          "ip"
     ],
     "ip": "162.168.1.0"
}'

Response

Following an example of the response:

{
    "resolution_id": "...",
    "customer_id": "...",
    "model_id": "...",
    "device_request_time": "...",
    "claims": [
        "ip"
    ],
    "ip": {
        "value": "12.34.56.78",
        "city": "Milan",
        "connection_speed": "company/T1",
        "connection_type": "Reserved",
        "country": "IT",
        "lat": "55.7522",
        "lon": "37.6156",
        "isp": "Fastweb",
        "timezone": "CET",
        "request_time": "night",
        "zip": "20124",
        "is_mobile": true,
        "is_vpn": true,
        "is_proxy": true,
        "proxy_name": "Bright Data",
        "proxy_type": "datacenter",
        "is_tor": true,
        "is_relay": true,
        "is_hosting": true,
        "score": 649,
        "score_cluster": "very_high",
        "black_list_count": 5,
        "company_domain": "google.com",
        "company_name": "Apple",
        "company_description": "Apple Inc. is an American...",
        "company_industry": "Internet Software & Services",
        "company_employees": 1750,
        "company_founded": 2014,
        "company_keywords": "smartphone,tech",
        "company_annual_revenue": 32500000,
        "company_logo": "https://...",
        "company_country": "Italy",
        "company_twitter_url": "https://...",
        "company_facebook_url": "https://...",
        "company_linkedin_url": "https://...",
        "company_total_funding": "https://...",
        "company_tech_stack": "JavaScript",
        "reason_codes": "TP001,RP001",
        "identity_email_count": 2,
        "identity_msisdn_count": 2,
        "identity_name_count": 2,
        "remote_desktop_enable": true,
        "xbl_count": 2,
        "css_count": 3,
        "xbl_in_days": 2,
        "css_in_days": 0,
        "is_valid_format": true,
        "is_private_internal_address": true
    }
}

The following fields can be found under the "ip" object

nametype
value?string

The IP address provided during the API call, can either be an ipv4 or ipv6

Ex: 12.34.56.78
city?string

The city associated to the IP address of the customer

Ex: Milan
connection_speed?string

Internet connection speed associated to the ip address:
- company/T1
- broadband/cable/fiber
- mobile


Ex: company/T1

Enum: company/T1,broadband/cable/fiber,mobile
connection_type?string

Usage type classification of ISP or company:
- Commercial
- Content Delivery Network
- Fixed Line
- Mobile ISP
- Reserved
- University / College / School


Ex: Reserved

Enum: Commercial,Content Delivery Network,Fixed Line,Mobile ISP,Reserved,University / College / School
country?string

The name of the country where the IP Address is located, ISO 3166 alpha-2

Ex: IT

Enum: AB, AD, AE, AF, AG, AI, AL, AM, AO, AQ, ...
lat?string

The latitude for where place where the IP Address is located

Ex: 55.7522
lon?string

The longitude for where place where the IP Address is located

Ex: 37.6156
isp?string

The service provider used by the customer's device to access the internet

Ex: Fastweb
timezone?string

The exact current time in the Timezone the IP address belongs to

Ex: CET
request_time?string

Time of the day the user is requesting your service

Ex: night

Enum: morning,afternoon,evening,night
zip?string

The Postal Code for where the IP Address is located

Ex: 20124
is_mobile?boolean

Indicates whether an IP address is associated with a mobile connection

Ex: true
is_vpn?boolean

Indicates whether an IP address is under a VPN

Ex: true
vpn_name?string

DEPRECATED If the IP address is a VPN, it is the name of the VPN provider

Ex: NordVPN
is_proxy?boolean

Indicates whether an IP address is coming from a proxy

Ex: true
proxy_name?string

When the IP address is a Proxy, indicates the name of the Proxy provider

Ex: Bright Data

Enum: Bright Data,Smartproxy,Oxylabs,Netnut,Webshare,GoProxy
proxy_type?string

When the IP address is a Proxy, indicates the type of Proxy

Ex: datacenter

Enum: datacenter,residential
is_tor?boolean

Indicates whether an IP address is associated to a TOR node

Ex: true
is_relay?boolean

Indicates whether an IP address configured to act as relay

Ex: true
is_hosting?boolean

Indicates whether an IP address is a hosting provider

Ex: true
score?integer

A number ranging from 0 to 1000 represents the quality of the IP information detected

Ex: 649
score_cluster?string

A cluster summarizing the quality of the IP address

Ex: very_high

Enum: very_low,low,review,high,very_high
black_list_count?integer

The number of providers that have flagged this IP as spam

Ex: 5
company_domain?string

The name of the domain of the company that owns the domain, if found

Ex: google.com
company_name?string

The name of the company the user works for, contains the full name

Ex: Apple
company_description?string

A verbose description description of the company the user works for

Ex: Apple Inc. is an American...
company_industry?string

Indicates the industry/sector of the company using a standard taxonomy

Ex: Internet Software & Services
company_employees?integer

Indicates the number of employees of the company

Ex: 1750
company_founded?integer

Indicates the year when the company was founded

Ex: 2014
company_keywords?string

A list of keywords used in the company description

Ex: smartphone,tech
company_annual_revenue?integer

Indicates our proprietary estimated annual revenue range for company

Ex: 32500000
company_logo?string

An url linking to the the logo of the company associated to the ip address

Ex: https://...
company_country?string

Indicates the full country name of the company headquarter

Ex: Italy
company_twitter_url?string

Provides a link to the company twitter account, links is always pointing to twitter domain

Ex: https://...
company_facebook_url?string

Provides the Facebook url of the company, links is always pointing to facebook domain

Ex: https://...
company_linkedin_url?string

Provides the Linkedin url of the company, links is always pointing to linkedin domain

Ex: https://...
company_total_funding?integer

Provides the total amount of funding raised by company

Ex: https://...
company_tech_stack?string

Indicates the set of technologies uses by the company

Ex: JavaScript
reason_codes?string

Comma separated risk and trust signal for the product ip.
For more information about reason codes you can go to Reason Codes

Ex: TP001,RP001
identity_device_count?integer

DEPRECATED The number of devices associated with this ip address

Ex: 2
identity_email_count?integer

The number of email addresses associated with this ip address

Ex: 2
identity_msisdn_count?integer

The number of phones associated with this ip address

Ex: 2
identity_name_count?integer

The number of names associated with this ip address

Ex: 2
remote_desktop_enable?boolean

Indicates if the IP is enabled to accept connections from common remote desktop software

Ex: true
xbl_count?integer

The number of times this IP address has been reported in a Exploits Blocklist (XBL)

Ex: 2
css_count?integer

The number of times this IP address has been reported in a Combined Spam Sources (CSS)

Ex: 3
xbl_in_days?integer

The how many days has passed since the most recent report in a Exploits Blocklist (XBL). Recency indicates more accurate data.

Ex: 2
css_in_days?integer

The how many days has passed since the most recent report in a Combined Spam Source (CSS). Recency indicates more accurate data.

Ex: 0
is_valid_format?boolean

Indicates if the IP is in an accepted ipv4 or ipv6 format

Ex: true
is_private_internal_address?boolean

Indicates if the IP belongs to a private internal address

Ex: true
Body Params

HubRequestIp

HubRequestIp

string
required

A string representing the unique identifier of the user you are requesting information about. Each request requires a different customer_id

float
1.7 to 10

Specifies the maximum duration for data enrichment, allowing you to fine-tune the process to enhance accuracy or reduce response time. Read more

string

The id of the model that computes the score: one of your models, or a system model such as phone_score. The model must score the product of the call. Leave it out to use the active model of the product.

string
required

Ip address you want to lookup. Both Ipv4 and Ipv6 formats are supported.

claims
array of strings, unique
required
Headers
string
required
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json